# Generated by rust2rpm 27
%bcond check 1

%global version 0.8.0
%global crate snpguest

Name:           snpguest
Version:        %{version}
Release:        1%{?dist}
Summary:        A CLI tool for interacting with SEV-SNP guest environment

URL:            https://github.com/virtee/%{crate}
Source:         https://github.com/virtee/%{crate}/archive/refs/tags/snpguest-%{version}.tar.gz

# Creating vendor tar (on latest Fedora under a snpguest dir):
# dnf install <all dependencies>
# Edit create_vendor_source.sh to reflect proper version number being updated.
# bash create_vendor_source.sh
# mv snpguest-{VERSION}-vendor.tar.xz ../vendor/
Source1:         vendor/snpguest-%{version}-vendor-FEDORA.tar.gz

# To build vendored dependencies on Fedora, update the env_logger dependency to match Fedora's present version.
Patch1:          remove-openssl-vendored-dependency.diff
Patch2:          use-vendored-fedora-deps.diff

# snpguest is a tool using features specific to AMD EPYC processors (x86_64).
ExclusiveArch:  x86_64

# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR MIT
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License: Apache-2.0 AND BSD-3-Clause AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)

BuildRequires:  rust-toolset
BuildRequires:  /usr/bin/pkg-config
BuildRequires:  openssl-devel

%global _description %{expand:
Administrative utility for AMD SEV-SNP.}

%description %{_description}

%files
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/snpguest

%prep
%autosetup -n %{crate}-%{version} -p1 -a1
rm -f Cargo.lock
%cargo_prep -v vendor

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Feb 19 2025 Tyler Fanelli <tfanelli@redhat.com> - 0.8.0-1
- Deprecate version to 0.8.0 for Fedora dependency building
- Update dependencies for vendoring with Fedora
- Use cargo vendor-filterer to create vendor Source1
- Resolves: RHEL-68138

* Wed Feb 12 2025 Tyler Fanelli <tfanelli@redhat.com> - 0.8.3-1
- Initial commit on c10s
  Resolves: RHELPLAN-171501
